Subject: [Diffserv] parameters section missing from the Diffserv PIB

From: Lemponen Jussi <[email-masked]>
Date: 12 Sep 2002 00:01:53 +0300

Reading through draft-ietf-diffserv-pib-09.txt, I noticed that
the parameters section in the PIB itself is missing. The descriptions
for attributes dsTBParamType and dsIfSchedulerCapsServiceDisc do still
imply that some parameter definitions should be there.

Jussi Lemponen
Tampere University of Technology
Institute of Communications Engineering
_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 12 Sep 2002 20:03:50 +0200

No, this is not a bug. The PIB consciously re-uses some
OIDs from the MIB. I think this is a GOOD THING.

And the PIB text actually states that the OIDs to identify
the types are defined in the MIB, so people are given a ptr as
to where to look for them.

Thanks,
Bert 

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: donderdag 12 september 2002 14:08
> To: Wijnen, Bert (Bert)
> Cc: Lemponen Jussi; [email-masked]
> Subject: Re: [Diffserv] parameters section missing from the 
> Diffserv PIB
> 
> 
> Bert,
> 
> Are you saying this is a bug in the text? If so, we need
> to tell the RFC Editor PDQ.
> 
>    Brian
> 
> "Wijnen, Bert (Bert)" wrote:
> > 
> > I think they are the parameters that have been sepcified 
> and identified
> > in the diffserv MIB (RFC3289)
> > 
> > Thanks,
> > Bert
> > 
> > > -----Original Message-----
> > > From: Lemponen Jussi [mailto:[email-masked]]
> > > Sent: woensdag 11 september 2002 23:02
> > > To: [email-masked]
> > > Subject: [Diffserv] parameters section missing from the 
> Diffserv PIB
> > >
> > >
> > >
> > >

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 12 Sep 2002 20:07:25 +0200

The DIFFSERV MIB specifies some OIDs that identify
specific algorithms. These algorithms are the same
no matter if they are used by a MIB or by a PIB.
So using one OID to identify the same thing instead of
two OIDs identifying the same thing, seems the right
thing to do to me, don't you think so too?

Actually your Diffserv MIB and/or PIB authors/editors 
should be answering these questions...

Thanks,
Bert 

> From: Yacine El Mghazli [mailto:[email-masked]]
> Sent: donderdag 12 september 2002 9:32
> To: Wijnen, Bert (Bert)
> Cc: Lemponen Jussi; [email-masked]; [email-masked]
> I was wondering about this point:
> 
> how are the OIDs identified in the MIB senseful within the PIB ?
> 
> my understanding is that the PIB is an AUTONOMOUS named data 
> structure... in this context, what is the meaning of an OID 
> referencing 
> nothing in the PIB itself ?
> 
> thank you for your explanations,
> yacine
> 
> 
> 
> Wijnen, Bert (Bert) wrote:
> 
> >>Subject: [Diffserv] parameters section missing from the Diffserv PIB
> >>
> >>
> >>
> >>
> >>Archive: 
> >>http://www.ietf.org/mail-archive/working-groups/diffserv/curre
> >>
> > nt/maillist.html
> > Archive: 
http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 17 Sep 2002 02:06:58 +0200

> > > ok for reuse but here we're talking about OIDs...
> > > my question is: what is the signification of MIB-specific
> > > OIDs within a PIB ?
> > >
> > I suspect that you have NOT yet gone to the diffserv MIB to take
> > a look as to what those OIDs are representing. Once you do that,
> > I think it should be pretty clear.
> > 
> 
> I suspect that you suspect easily... let me know if I cant ask questions
> about things I dont understand (be sure I looked for answers before
> asking on the list).
> 
You can ask question. No problem with that... but on the following:

> ** example:
> diffServTBParamSimpleTokenBucket OID = mib-2.97.3.1
> this OID has a meaning in the MIB tree, but it has not in the PIB tree. 
> it seems that it's just a pointer towards the MIB and I was wondering
> about the conssistency with the PIB namespace.
> 
It seems quite obvious to me (and I think Kwok also tried to explain),
the descrition says:

  diffServTBParamSimpleTokenBucket OBJECT-IDENTITY
    STATUS       current
    DESCRIPTION
       "Two Parameter Token Bucket Meter as described in the Informal
       Differentiated Services Model section 5.2.3."
    ::= { diffServTBMeters 1 }

So, this is an OBJECT-IDENTITY. See RFC2578, sect 6 for an explantion
of what it is used for.

In this case, it identifies (by OID) a specific type of Token Bucket Meter.
Such a meter can be used in a MIB, but it can also be used in a PIB.
And when you want to indicate that you are using this type of meter,
then you can indicate so by using the above OID in the appropriate object
(attribute), no matter if that object is defined in a MIB or in a PIB.
Typically the OID is the value that is assigned to a object with
a SYNTAX of AutonomousType (as is the case in both the MIB and the PIB).

Hope this helps more.

Bert
> thank you Kwok for your explanations
> yacine
> 
> 
> > Bert
> > > In the previous versions of the PIB draft, these were 
> identified by
> > > PRIDS, they pointed towards a PRC within the same PIB... 
> how does it
> > > work now ?
> > >
> > No, this is incorrect. In earlier versions, they were 
> OBJECT IDENTIFIERS
> > which basically DUPLICATED what was already in the MIB. And 
> because of
> > that duplication I (in my role of PIB/MIB reviewer) 
> recommended that the
> > OIDs from the MIB should be re-used.
> > 
> > Bert
> > > thanks,
> > > yacine
> > >
> > >
> > > > for dsTBParamType and dsIfSchedulerCapsServiceDisc from the
> > > Diffserv MIB as
> > > > advised during IESG review.
> > > >
> > > > The Diffserv PIB's references to the Diffserv MIB are
> > > clearly specified as:
> > > >
> > > >    dsIfSchedulerCapsServiceDisc OBJECT-TYPE
> > > >        SYNTAX      AutonomousType
> > > >        STATUS      current
> > > >        DESCRIPTION
> > > >          "The scheduling discipline for which the set of
> > > capabilities
> > > >          specified in this object apply. Object identifiers
> > > for several
> > > >          general purpose and well-known scheduling 
> disciplines are
> > > >          shared with and defined in the Diffserv MIB.
> > > >
> > > >          These include diffServSchedulerPriority,
> > > >          diffServSchedulerWRR, diffServSchedulerWFQ."
> > > >
> > > > and
> > > >
> > > >    dsTBParamType OBJECT-TYPE
> > > >        SYNTAX       AutonomousType
> > > >        STATUS       current
> > > >        DESCRIPTION
> > > >          "The Metering algorithm associated with the
> > > >          Token-Bucket parameters.  zeroDotZero indicates this
> > > >          is unknown.
> > > >          Standard values for generic algorithms are as follows:
> > > >          diffServTBParamSimpleTokenBucket, 
> diffServTBParamAvgRate,
> > > >          diffServTBParamSrTCMBlind, diffServTBParamSrTCMAware,
> > > >          diffServTBParamTrTCMBlind, diffServTBParamTrTCMAware,
> > > >          diffServTBParamTswTCM
> > > >
> > > >          These are specified in the Diffserv MIB."
> > > >
> > > > respectively.
> > > >
> > > > I believe the above text is clear.
> > > > Please advise if improvement can be made.
> > > > Thanks!
> > > > -- Kwok --
> > > >
> > > >
> > > > At 09:31 AM 9/12/02 +0200, Yacine El Mghazli wrote:
> > > >
> > > >> referencing nothing in the PIB itself ?
> > > >>
> > > >>> I think they are the parameters that have been sepcified and
> > > >>> identified in the diffserv MIB (RFC3289)
> > > >>> Thanks,
> > > >>> Bert
> > > >>>